//
// Solver.h
//

// System includes.
#include <vector>
#include <stack>
#include <stdlib.h>		// needed for random()

// Engine includes.
#include "EventCollision.h"
#include "EventKeyboard.h"
#include "Object.h"
#include "ObjectList.h"

// Game includes.
#include "Cell.h"
#include "maze.h"

using std::stack;

class Solver : public df::Object {

 private:
  int cur_row, cur_col;		// (Row, col) being visited.
  int countdown;		// Countdown until next move.
  stack<Cell> path;		// Path to follow.
  Solver();

 public:
  Solver(stack<Cell> in_path);
  void move();
  int eventHandler(const df::Event *e);
};
